Bug 1733525 - After umounting and mounting an NFS volume, the cache is ignored. [NEEDINFO]
Summary: After umounting and mounting an NFS volume, the cache is ignored.
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: cachefs
Version: 30
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: David Howells
QA Contact: David Howells
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-26 11:36 UTC by Daniel Dietrich
Modified: 2020-05-26 16:47 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-26 16:47:56 UTC
Type: Bug
steved: needinfo? (dhowells)


Attachments (Terms of Use)

Description Daniel Dietrich 2019-07-26 11:36:15 UTC
Description of problem:
After umounting and mounting an NFS volume, the cache is ignored.

Version-Release number of selected component (if applicable):
Fedora 30 with cachefilesd 0.10.10

How reproducible:

NFS-Server:
echo '/NFS CLIENT(OPTIONS)' >> /etc/exports
systemctl restart nfs-server.service

NFS-Client:
yum -y install cachefilesd
systemctl enable --now cachefilesd
mkdir /nfs

Steps to Reproduce:
1. mount -t nfs -o fsc SERVER:/NFS /nfs
2. time md5sum /nfs/FILE
3. time md5sum /nfs/FILE
4. umount /nfs
5. mount -t nfs -o fsc SERVER:/NFS /nfs
6. time md5sum /nfs/FILE

Actual results:
Step (2) fills the cache and step (3) uses the cache. Step (6) always reloads the file from the server.

Expected results:
Step (6) should use the cache.

Additional info:

- The cache works with CentOS 7.6 and cachefilesd 0.10.7, but shows the problem with Fedora 30 and cachefilesd 0.10.7.
- The problem also occurs in CentOS 7.6 if you specify a directory other than /var/cache/fscache for the cache in /etc/cachefilesd.conf.
- Each mount operation uses the same options. (https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux/6/html/storage_administration_guide/fscachenfs)

Comment 2 Ben Cotton 2020-04-30 21:15:31 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Ben Cotton 2020-05-26 16:47:56 UTC
Fedora 30 changed to end-of-life (EOL) status on 2020-05-26. Fedora 30 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.